lookup: Lookup by ID

API: apple.com:itunes-search-api
Endpoint: /lookup
Response format: unknown
Auth: unknown
Method: GET
Last Status: 200
Latency: 246ms

Description

Look up content by iTunes ID, artist ID, collection ID, or other identifiers. Can be combined with entity type to filter results.

Parameters (4)

country (string, query, optional, default: US)

The two-letter country code for the store.

Constraints: {'pattern': '^[A-Z]{2}$'}

entity (string, query, optional)

The entity type to filter results (e.g., 'software' for apps)

Constraints: {'enum': ['movieArtist', 'movie', 'podcastAuthor', 'podcast', 'musicArtist', 'musicTrack', 'album', 'musicVideo', 'mix', 'song', 'audiobookAuthor', 'audiobook', 'shortFilmArtist', 'shortFilm', 'tvEpisode', 'tvSeason', 'software', 'iPadSoftware', 'macSoftware', 'ebook', 'allArtist', 'allTrack']}

id (integer, query, required)

The iTunes ID to look up (artist ID, track ID, collection ID, etc.)

limit (integer, query, optional, default: 50)

Number of results to return (1-200).

Constraints: {'minimum': 1, 'maximum': 200}

Examples (2)

Lookup by ID openapi-spec
curl 'https://itunes.apple.com/lookup?id=909253&entity=software&country=US'
import requests

resp = requests.get(
    "https://itunes.apple.com/lookup",
    params={
        'id': '909253',
        'entity': 'software',
        'country': 'US',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("itunes-search")
result = api.fetch("lookup", id=909253, entity="software", country="US")

for item in result:
    print(item)
const resp = await fetch("https://itunes.apple.com/lookup?id=909253&entity=software&country=US");
const data = await resp.json();
Lookup by ID probe-gate
curl 'https://itunes.apple.com/lookup?id=909253&entity=software&country=US&limit=50'
import requests

resp = requests.get(
    "https://itunes.apple.com/lookup",
    params={
        'id': '909253',
        'entity': 'software',
        'country': 'US',
        'limit': '50',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("itunes-search")
result = api.fetch("lookup", id=909253, entity="software", country="US", limit=50)

for item in result:
    print(item)
const resp = await fetch("https://itunes.apple.com/lookup?id=909253&entity=software&country=US&limit=50");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:19:57.327520 200 246ms
2026-04-16 02:32:54.839989 200 132ms
2026-04-15 03:04:41.912751 200 305ms
2026-04-15 02:42:57.556299 200 142ms
2026-04-14 03:27:10.694625 200 288ms
2026-04-14 02:38:18.561778 200 258ms
2026-04-12 16:45:09.806712 200 253ms
2026-04-12 14:57:45.341547 200 309ms
2026-04-10 04:16:29.963299 200 283ms
2026-04-10 04:06:43.720716 200 321ms
2026-04-09 02:36:31.019521 200 284ms
2026-04-09 02:31:34.115808 200 233ms
2026-04-03T13:17:48.673022 200 197ms